curl --request POST \
--url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshots \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshots"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = { "files": "<string>" }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"screenshots": [
{
"uri": "https://s3-marketplace.skycoach.gg/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg"
}
]
}Bulk attach screenshots to offer
Upload up to 20 screenshot files at once and attach them to the offer. The URLs are returned immediately and attached to the offer, but the images may take a short time to become accessible.
*
Limit: Total screenshots per offer is capped at screenshots_max_count (default 20). The request is rejected if attaching the files would exceed the limit.
*
Rate limit: 300 requests/min (shared pool with attach_screenshots_from_links).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json Path Parameters
ID of the offer to attach screenshots to
123849
Body
Array of image files (1–20). Supported formats: jpeg, png, jpg
Response
Success. Screenshots attached to the offer; images will appear on S3 shortly.
All current screenshots on the offer after the operation
Show child attributes
Show child attributes